package com.madeu.service.web.webappevent;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface WebAppEventService {
    public HashMap<String, Object> selectListAppEventOption(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListAppEventIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListAppEvent(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectAppEvent(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertAppEventIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertAppEvent(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> updateAppEventIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateAppEvent(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> deleteAppEvent(HashMap<String, Object> paramMap) throws Exception;
}
